Loading...
Searching...
No Matches
cat_entry Struct Reference
Astronomical object of interest

Basic astrometric data for any sidereal object located outside the solar system. More...

`#include <novas.h>`

## Data Fields

char | catalog [SIZE_OF_CAT_NAME]
| catalog designator (e.g., HIP)
double | dec
| [deg] ICRS declination
double | parallax
| [mas] parallax
double | promodec
| [mas/yr] ICRS proper motion in declination
double | promora
| [mas/yr] ICRS proper motion in right ascension
double | ra
| [h] ICRS right ascension
double | radialvelocity
| [km/s] catalog radial velocity (w.r.t.
char | starname [SIZE_OF_OBJ_NAME]
| name of celestial object
long | starnumber
| integer identifier assigned to object

## Detailed Description

Basic astrometric data for any sidereal object located outside the solar system.

Note, that despite the slightly expanded catalog name, this has the same memory footprint as the original NOVAS C version, allowing for cross-compatible binary exchange (I/O) of these structures.

See also
  novas_init_cat_entry(), make_cat_entry(), make_cat_object()
  CAT_ENTRY_INIT

## Field Documentation

## radialvelocity

double radialvelocity

[km/s] catalog radial velocity (w.r.t.

SSB) To specify radial velocities defined in the Local Standard of Rest (LSR) you might use novas_set_lsr_vel()

The documentation for this struct was generated from the following file:

- /build/supernovas-Ly00hg/supernovas-1.5.1/include/novas.h